#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <set>
#include <unordered_set>
#include <map>
#include <unordered_map>
#include <random>
#include <climits>
#include <cmath>
#include <iomanip>

using namespace std;
using ll = long long;
using ld = long double;
using pii = pair<ll, ll>;

#define all(v) v.begin(), v.end()
#define len(v) (ll)v.size()

mt19937 rnd(525252);

const ll INF = LLONG_MAX, SZ = 5e3, MOD = 1e9 + 7;
const ld eps = 1e-8, pi = acosl(-1);

unordered_map<ll, unordered_map<ll, ll>>dp;

ll f(ll i, ll t, vector<ll>&v){
    if (t < v[i]) return 0;
    if (dp.find(i) != dp.end() && dp[i].find(t) != dp[i].end()) return dp[i][t];
    return dp[i][t] = 1 + max({(i == 0 ? 0 : f(i - 1, t - v[i], v)), f(i, t - v[i], v), (i == len(v) - 1 ? 0 : f(i + 1, t - v[i], v))});
}

void solve() {
    ll n, m, t; cin >> n >> m >> t;
    vector<ll>a(n), b(m);
    ll best = INF;
    for (auto &i : a) {
        cin >> i;
        best = min(best, i);
    }
    for (auto &i : b){
        cin >> i;
        i--;
    }
    cout << t / best;
}

int main()
{
    ll t = 1;
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);

//	freopen("in.txt", "r", stdin);
//	freopen("out.txt", "w", stdout);
//    cin >> t;

    while (t--) {
        solve();
        cout << '\n';
    }
}
